import java.util.Calendar;
class Data
{

   private int dia,mes,ano;
   private Calendar cal = Calendar.getInstance(); // obtm instncia atual

   // Construtor
   public Data(int d,int m,int a)
   {
		setData(d,m,a);
   }

	public Data(int d,int m)
	{
		setData(d,m,cal.get(Calendar.YEAR));
	}

	public Data(int d)
	{
		// Os meses so retornados pelo sistema de 0 a 11, por isso o +1
		setData(d,cal.get(Calendar.MONTH)+1,cal.get(Calendar.YEAR));
	}

	public Data()
	{
		setData(cal.get(Calendar.DAY_OF_MONTH),
				cal.get(Calendar.MONTH)+1,
				cal.get(Calendar.YEAR));
	}

	public void setData(int d, int m, int a)
	{
		// Estas linhas obscuras fazem a mesma coisa que um
		// conjunto de IFs: if(d<1) d=31; else if(d>31) d=31;

		// Para detalhes, consulte o seu livro favorito de Java ou C.
		// Se voc no entendeu ou no gostou, use IFs: so a mesma coisa.

		dia = (d < 1 ? 1 : d > 31 ? 31 : d);
		mes = (m < 1 ? 1 : m > 12 ? 12 : m);
		ano = a;
	}

	public void setData(String data)
	{
		int d,m,a;
		String sd,sm,sa;
		sd = data.substring(0,2);
		sm = data.substring(3,5);
		sa = data.substring(6,8);
		setData(Integer.parseInt(sd),
				Integer.parseInt(sm),
				Integer.parseInt(sa)+2000);
	}

	public int getDia() { return dia; }
	public int getMes() { return mes; }
	public int getAno() { return ano; }

}
