import javax.swing.JOptionPane;

public class Janela
{
	public static void main(String args[])
	{
		final int TOTAL = 5; // constante: total de datas a ler

		String data_str; // String para armazenar data digitada pelo usurio

		// Array com os nomes dos meses - observe a inicializao automtica
		String meses[] = { "Janeiro", "Fevereiro", "Maro", "Abril",
						"Maio", "Junho", "Julho", "Setembro", "Outubro",
						"Novembro", "Dezembro" };

		Data datas[] = new Data[TOTAL]; // Array para armazenar 10 datas

		int i; // contador

		// Cria a janela de texto para exibir as mensagens
		JanelaBasica tela = new JanelaBasica("Teste de datas");

		for(i=0;i<TOTAL;++i)
		{
			data_str = JOptionPane.showInputDialog("Digite a data "+i);

			// Lembre-se que cada elemento de um array de objetos
			// deve ser inicializado separadamente!

			datas[i] = new Data();  	// cria uma nova data
			datas[i].setData(data_str);	// atribui a data digitada

			// Observe que se tivssemos criado um construtor que aceitasse
			// uma string no seria preciso fazer isso em duas etapas,
			// por exemplo: datas[i] = new Data(data_str);
		}

		for( i=0;i<TOTAL;++i)
		{
			// Aqui, o -1  porque os arrays em Java comeam em 0, portanto
			// Janeiro (ms 1) est na posiao 0.
			tela.println(datas[i].getDia()+" de "+meses[datas[i].getMes()-1]+
			" de "+datas[i].getAno());
		}
   }
}
